dofile(LockOn_Options.common_script_path.."elements_defs.lua")
SetScale(FOV)

pos = {-1,.85}

bg					= CreateElement "ceTexPoly"
bg.name				= "bg"
bg.primitivetype	= "triangles"
bg.material			= MakeMaterial(nil,{50,50,50,175})
bg.vertices			= {{-.55,.07},{.55,.07},{.55,-.07},{-.55,-.07}}      -- top left l/r,u/d
bg.indices			= {0,1,2,2,3,0}
bg.init_pos			= pos
bg.screenspace 		= ScreenType.SCREENSPACE_TRUE
bg.element_params 	= {"SPRING_OP"}
bg.controllers 		= {{"opacity_using_parameter",0}}
Add(bg)


base					= CreateElement "ceStringPoly"
base.name				= create_guid_string()
--base.primitivetype	= "triangles"
base.alignment 			= "CenterCenter"
base.material			= MakeFont({used_DXUnicodeFontData = "font_cockpit_usa"},{0,255,0,255})
--base.vertices			= {{-.1,.1},{.1,.1},{.1,-.1},{-.1,-.1}}      
--base.indices			= default_box_indices
base.init_pos			= pos
base.stringdefs			= {.005,.004,  0, 0}
base.formats 			= {"TRIM AMOUNT:%.4f"}
base.screenspace 		= ScreenType.SCREENSPACE_TRUE
base.element_params 	= {"SPRING_PARAM", "SPRING_OP"}
base.controllers 		= {{"text_using_parameter",0,0},{"opacity_using_parameter",1}}
base.use_mipfilter		= true
base.h_clip_relation	= h_clip_relations.REWRITE_LEVEL
--base.level			= DEFAULT_LEVEL
Add(base)


